#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hls-code-range-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-code-range-plugin-2.0.0.0-5KJOWgKtNoR4rxry3k3HmV
key:                  hls-code-range-plugin-2.0.0.0-5KJOWgKtNoR4rxry3k3HmV
license:              Apache-2.0
maintainer:           kokobd
author:               kokobd
synopsis:
    HLS Plugin to support smart selection range and Folding range

description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  1eebeff9577438bb64c5b68bc703a87d
exposed:              True
exposed-modules:      Ide.Plugin.CodeRange Ide.Plugin.CodeRange.Rules
hidden-modules:       Ide.Plugin.CodeRange.ASTPreProcess
import-dirs:          /usr/lib/ghc-9.4.8/site-local/hls-code-range-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hls-code-range-plugin-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hls-code-range-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-code-range-plugin
hs-libraries:         HShls-code-range-plugin-2.0.0.0-5KJOWgKtNoR4rxry3k3HmV
depends:
    aeson-2.1.2.1-LS8mizUYnpf1U9zpV4sjcf base-4.17.2.1 containers-0.6.7
    deepseq-1.4.8.0 extra-1.7.16-5m7TC0OmR1yJEj0luDg7V3
    ghcide-2.0.0.0-IQHZ41Bdb1tG2CG2PmBgb5
    hashable-1.4.4.0-Jc2uKL4S7Fl9QLNJZYpfiY
    hls-plugin-api-2.0.0.0-HXuoqsWA2vn6nZ63Ot0sEJ
    lens-5.2.3-FHiEVacHNvQGoO0ETRbZ1i
    lsp-1.6.0.0-7IaudNMUb3vDN01orV4Wg0 mtl-2.2.2
    semigroupoids-6.0.1-4MzfMO8TUru5bIlkk6eiWh text-2.0.2
    transformers-0.5.6.2 vector-0.13.2.0-KDCTRjRQ0urK2B6TNAGAn8

haddock-interfaces:
    /usr/share/doc/haskell-hls-code-range-plugin/html/hls-code-range-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-code-range-plugin/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

